---

- hosts: pajhole
  become: True
  tags: install

  vars_files:
    - ["vars/{{ pajhole_environment }}.yml", 'vars/default.yml']

  roles:
    - role: unbound

  tasks:
    - name: ensure unbound is started
      service:
        name: unbound
        state: started


- hosts: pajhole
  become: True
  tags: configure

  vars_files:
    - ["vars/{{ pajhole_environment }}.yml", 'vars/default.yml']

  roles:
    # Just include the handlers without re-installing anything
    - role: unbound
      unbound_install: False

  tasks:
    - name: install zones
      template:
        src: "zones/{{ item }}.conf"
        dest: "/etc/unbound/conf.d/{{ item }}.conf"
      with_items:
        - dot
      notify: reload unbound

    - name: install local config
      template:
        src: "{{ item }}.conf"
        dest: "/etc/unbound/local.d/{{ item }}.conf"
      with_items:
        - blacklist
      notify: reload unbound
